#!/bin/sh
root_dir="$(dirname $(realpath $0))"

mkdir -p \
	"$root_dir/config/ade/" \
	"$root_dir/config/reg/" \
	"$root_dir/data/"

docker run \
	--rm \
	-it \
	-e DISPLAY \
	-v $PWD:/data:ro \
	-v /tmp/.X11-unix/:/tmp/.X11-unix/ \
	-v "$root_dir/config/ade/:/home/wine/.wine/drive_c/users/wine/Local Settings/Application Data/Adobe_Systems_Incorporate" \
	-v "$root_dir/config/reg:/home/wine/.wine/reg" \
	-v "$root_dir/data/:/home/wine/My Digital Editions/" \
	r.sbruder.de/ade
